Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_ORB_Parameters Class Reference

Parameters that are specific to the ORB. These parameters can be for the client, the server, or for both. = NOTE Some of the functions have inline definitions in the class header below. Please do not move them back to the .i file. cygnus-2.7.2-960126, distributed with Tornado 1.0.1, can't deal with returing a const reference here. It raises an internal compiler error at ace/Svc_Handler.cpp:46, of all places. More...

`#include <params.h>`

Collaboration diagram for TAO_ORB_Parameters:

[legend]
List of all members.

## Public Methods
| TAO_ORB_Parameters (void)
| Constructor.
| ~TAO_ORB_Parameters (void)
| Destructor.
int | endpoints (ACE_CString &endpoints)
TAO_EndpointSet & | endpoints (void)
void | add_endpoint (ACE_CString &endpoint)
CORBA::UShort | service_port (TAO_MCAST_SERVICEID service_id) const
| Set/Get the port of services locatable through multicast.
void | service_port (TAO_MCAST_SERVICEID service_id, CORBA::UShort port)
const char * | mcast_discovery_endpoint (void) const
void | mcast_discovery_endpoint (const char *mde)
int | sock_rcvbuf_size (void) const
| Set/Get the size to be used for a socket's receive buffer.
void | sock_rcvbuf_size (int)
int | sock_sndbuf_size (void) const
| Set/Get the size to be used for a socket's send buffer.
void | sock_sndbuf_size (int)
int | nodelay (void) const
| Set/Get the status of whether to use TCP_NODELAY or not.
void | nodelay (int)
int | cdr_memcpy_tradeoff (void) const
void | cdr_memcpy_tradeoff (int)
int | use_dotted_decimal_addresses (void) const
void | use_dotted_decimal_addresses (int)
char * | default_init_ref (void) const
| Set/Get the Init Reference of an arbitrary ObjectID.
void | default_init_ref (const char *default_init_ref)
int | std_profile_components (void) const
void | std_profile_components (int x)
int | ace_sched_policy (void) const
| Scheduling policy.
void | ace_sched_policy (int x)
long | sched_policy (void) const
| Scheduling policy flag.
void | sched_policy (long x)
long | scope_policy (void) const
| Scheduling scope flag.
void | scope_policy (long x)
long | thread_creation_flags (void) const
| Thread creation flags.
int | single_read_optimization (void) const
| Single read optimization.
void | single_read_optimization (int x)
bool | disable_rt_collocation_resolver (void) const
| Mutators and accessors for rt_collocation_resolver.
void | disable_rt_collocation_resolver (bool)
## Private Methods
int | parse_endpoints (ACE_CString &endpoints, TAO_EndpointSet &endpoints_list)
## Private Attributes
TAO_EndpointSet | endpoints_list_
| List of endpoints used to pre-establish connections.
CORBA::UShort | service_port_ [TAO_NO_OF_MCAST_SERVICES]
| Port numbers of the configured services.
CORBA::String_var | mcast_discovery_endpoint_
ACE_CString | default_init_ref_
| List of comma separated prefixes from ORBDefaultInitRef.
int | sock_rcvbuf_size_
| Size to be used for a socket's receive buffer.
int | sock_sndbuf_size_
| Size to be used for a socket's send buffer.
int | nodelay_
| 1 if we're using TCP_NODELAY and 0 otherwise.
int | cdr_memcpy_tradeoff_
int | use_lite_protocol_
| For selecting a liteweight version of the GIOP protocol.
int | use_dotted_decimal_addresses_
| For selecting a address notation.
int | std_profile_components_
| If true then the standard OMG components are not generated.
int | ace_sched_policy_
| Scheduling policy.
long | sched_policy_
| Scheduling policy flag.
long | scope_policy_
| Scheduling scope flag.
int | single_read_optimization_
| Single read optimization.
bool | disable_rt_collocation_resolver_
| Default collocation resolver.

## Detailed Description

Parameters that are specific to the ORB. These parameters can be for the client, the server, or for both. = NOTE Some of the functions have inline definitions in the class header below. Please do not move them back to the .i file. cygnus-2.7.2-960126, distributed with Tornado 1.0.1, can't deal with returing a const reference here. It raises an internal compiler error at ace/Svc_Handler.cpp:46, of all places.

## Constructor & Destructor Documentation

TAO_ORB_Parameters::TAO_ORB_Parameters | ( | void |  | ) |

| Constructor.

TAO_ORB_Parameters::~TAO_ORB_Parameters | ( | void |  | ) |

| Destructor.

## Member Function Documentation

ACE_INLINE void TAO_ORB_Parameters::ace_sched_policy | ( | int | x | ) |

ACE_INLINE int TAO_ORB_Parameters::ace_sched_policy | ( | void |  | ) | const

| Scheduling policy. Scheduling policy specified by the user through the -ORBSchedPolicy option. This value is typically used by functions like ACE_OS::thr_setprio() and ACE_Sched_Params::priority_min(). Legal values are ACE_SCHED_RR, ACE_SCHED_FIFO, and ACE_SCHED_OTHER.

ACE_INLINE void TAO_ORB_Parameters::add_endpoint | ( | ACE_CString & | endpoint | ) |

ACE_INLINE void TAO_ORB_Parameters::cdr_memcpy_tradeoff | ( | int |  | ) |

ACE_INLINE int TAO_ORB_Parameters::cdr_memcpy_tradeoff | ( | void |  | ) | const

| Octet sequences are marshalled without doing any copies, we simply append a block to the CDR message block chain. When the octet sequence is small enough and there is room in the current message block it is more efficient just to copy the buffer.

ACE_INLINE void TAO_ORB_Parameters::default_init_ref | ( | const char * | default_init_ref | ) |

ACE_INLINE char * TAO_ORB_Parameters::default_init_ref | ( | void |  | ) | const

| Set/Get the Init Reference of an arbitrary ObjectID.

ACE_INLINE void TAO_ORB_Parameters::disable_rt_collocation_resolver | ( | bool |  | ) |

ACE_INLINE bool TAO_ORB_Parameters::disable_rt_collocation_resolver | ( | void |  | ) | const

| Mutators and accessors for rt_collocation_resolver.

ACE_INLINE TAO_EndpointSet & TAO_ORB_Parameters::endpoints | ( | void |  | ) |

ACE_INLINE int TAO_ORB_Parameters::endpoints | ( | ACE_CString & | endpoints | ) |

| Specifies the endpoints on which this server is willing to listen for requests.

ACE_INLINE void TAO_ORB_Parameters::mcast_discovery_endpoint | ( | const char * | mde | ) |

ACE_INLINE const char * TAO_ORB_Parameters::mcast_discovery_endpoint | ( | void |  | ) | const

| Get/Set address:port for Multicast Discovery Protocol for the Naming Service.

ACE_INLINE void TAO_ORB_Parameters::nodelay | ( | int |  | ) |

ACE_INLINE int TAO_ORB_Parameters::nodelay | ( | void |  | ) | const

| Set/Get the status of whether to use TCP_NODELAY or not.

int TAO_ORB_Parameters::parse_endpoints | ( | ACE_CString & | endpoints,
|  | TAO_EndpointSet & | endpoints_list
| ) | `[private]`

ACE_INLINE void TAO_ORB_Parameters::sched_policy | ( | long | x | ) |

ACE_INLINE long TAO_ORB_Parameters::sched_policy | ( | void |  | ) | const

| Scheduling policy flag. Scheduling policy specified by the user through the -ORBSchedPolicy option. This value is typically used by ACE thread creation functions. Legal values are THR_SCHED_RR, THR_SCHED_FIFO, and THR_SCHED_DEFAULT.

ACE_INLINE void TAO_ORB_Parameters::scope_policy | ( | long | x | ) |

ACE_INLINE long TAO_ORB_Parameters::scope_policy | ( | void |  | ) | const

| Scheduling scope flag. Scheduling policy specified by the user through the -ORBScopePolicy option. This value is typically used by ACE thread creation functions. Legal values are THR_SCOPE_SYSTEM and THR_SCOPE_PROCESS.

ACE_INLINE void TAO_ORB_Parameters::service_port | ( | TAO_MCAST_SERVICEID | service_id,
|  | CORBA::UShort | port
| ) |

ACE_INLINE CORBA::UShort TAO_ORB_Parameters::service_port | ( | TAO_MCAST_SERVICEID | service_id | ) | const

| Set/Get the port of services locatable through multicast.

ACE_INLINE void TAO_ORB_Parameters::single_read_optimization | ( | int | x | ) |

ACE_INLINE int TAO_ORB_Parameters::single_read_optimization | ( | void |  | ) | const

| Single read optimization.

ACE_INLINE void TAO_ORB_Parameters::sock_rcvbuf_size | ( | int |  | ) |

ACE_INLINE int TAO_ORB_Parameters::sock_rcvbuf_size | ( | void |  | ) | const

| Set/Get the size to be used for a socket's receive buffer.

ACE_INLINE void TAO_ORB_Parameters::sock_sndbuf_size | ( | int |  | ) |

ACE_INLINE int TAO_ORB_Parameters::sock_sndbuf_size | ( | void |  | ) | const

| Set/Get the size to be used for a socket's send buffer.

ACE_INLINE void TAO_ORB_Parameters::std_profile_components | ( | int | x | ) |

ACE_INLINE int TAO_ORB_Parameters::std_profile_components | ( | void |  | ) | const

| Disable the OMG standard profile components, useful for homogenous environments.

ACE_INLINE long TAO_ORB_Parameters::thread_creation_flags | ( | void |  | ) | const

| Thread creation flags. Shorthand for OR'ing together the scope_policy and sched_policy.

ACE_INLINE void TAO_ORB_Parameters::use_dotted_decimal_addresses | ( | int |  | ) |

ACE_INLINE int TAO_ORB_Parameters::use_dotted_decimal_addresses | ( | void |  | ) | const

| The ORB will use the dotted decimal notation for addresses. By default we use the full ascii names.

## Member Data Documentation

int TAO_ORB_Parameters::ace_sched_policy_`[private]`

| Scheduling policy. Scheduling policy specified by the user through the -ORBSchedPolicy option. This value is typically used by functions like ACE_OS::thr_setprio() and ACE_Sched_Params::priority_min(). Legal values are ACE_SCHED_RR, ACE_SCHED_FIFO, and ACE_SCHED_OTHER.

int TAO_ORB_Parameters::cdr_memcpy_tradeoff_`[private]`

| Control the strategy for copying vs. appeding octet sequences in CDR streams.

ACE_CString TAO_ORB_Parameters::default_init_ref_`[private]`

| List of comma separated prefixes from ORBDefaultInitRef.

bool TAO_ORB_Parameters::disable_rt_collocation_resolver_`[private]`

| Default collocation resolver. The vanilla ORB has only one collocation resolver. But if the RTORB is in place, the RTORB can get in a new collocation resolver. There are some applications that would like to use the default collocation resolver with the RTORB. This boolean is the value of the option that the application passes in to enable/disable the use of RT collocation resolver with the RTORB. The default value is false to indicate that the RT_Collocation_Resolver will be loaded if the RTORB is used.

TAO_EndpointSet TAO_ORB_Parameters::endpoints_list_`[private]`

| List of endpoints used to pre-establish connections. List of endpoints this server is willing to accept requests on.

CORBA::String_var TAO_ORB_Parameters::mcast_discovery_endpoint_`[private]`

| address:port for Multicast Discovery Protocol for the Naming Service.

int TAO_ORB_Parameters::nodelay_`[private]`

| 1 if we're using TCP_NODELAY and 0 otherwise.

long TAO_ORB_Parameters::sched_policy_`[private]`

| Scheduling policy flag. Scheduling policy specified by the user through the -ORBSchedPolicy option. This value is typically used by ACE thread creation functions. Legal values are THR_SCHED_RR, THR_SCHED_FIFO, and THR_SCHED_DEFAULT.

long TAO_ORB_Parameters::scope_policy_`[private]`

| Scheduling scope flag. Scheduling policy specified by the user through the -ORBScopePolicy option. This value is typically used by ACE thread creation functions. Legal values are THR_SCOPE_SYSTEM and THR_SCOPE_PROCESS.

CORBA::UShort TAO_ORB_Parameters::service_port_[TAO_NO_OF_MCAST_SERVICES]`[private]`

| Port numbers of the configured services.

int TAO_ORB_Parameters::single_read_optimization_`[private]`

| Single read optimization.

int TAO_ORB_Parameters::sock_rcvbuf_size_`[private]`

| Size to be used for a socket's receive buffer.

int TAO_ORB_Parameters::sock_sndbuf_size_`[private]`

| Size to be used for a socket's send buffer.

int TAO_ORB_Parameters::std_profile_components_`[private]`

| If true then the standard OMG components are not generated.

int TAO_ORB_Parameters::use_dotted_decimal_addresses_`[private]`

| For selecting a address notation.

int TAO_ORB_Parameters::use_lite_protocol_`[private]`

| For selecting a liteweight version of the GIOP protocol.

The documentation for this class was generated from the following files:

- params.h
- params.cpp
- params.i